#ifndef HEADER_DH_H
#include <openssl/dh.h>
#endif
DH *get_dh512()
	{
	static unsigned char dh512_p[]={
		0xD6,0x08,0x83,0xA1,0xB2,0xCA,0x33,0x01,0xCD,0x93,0x7B,0xFD,
		0xBA,0x6E,0x5B,0x47,0x88,0xD8,0x81,0xAB,0x1B,0x04,0x1E,0x61,
		0x91,0x8C,0x35,0xD3,0xB7,0x0E,0x94,0xDE,0x77,0x18,0xCF,0xFE,
		0x4C,0x60,0x1D,0xC4,0xB5,0x89,0x85,0x39,0x5D,0x3F,0x03,0x2D,
		0xDA,0xD5,0x9C,0xE1,0x73,0xB4,0x85,0x46,0xD7,0xD8,0x82,0xEC,
		0xC5,0xCA,0x15,0x9B,
		};
	static unsigned char dh512_g[]={
		0x02,
		};
	DH *dh;

	if ((dh=DH_new()) == NULL) return(NULL);
	dh->p=BN_bin2bn(dh512_p,sizeof(dh512_p),NULL);
	dh->g=BN_bin2bn(dh512_g,sizeof(dh512_g),NULL);
	if ((dh->p == NULL) || (dh->g == NULL))
		{ DH_free(dh); return(NULL); }
	return(dh);
	}
